Skip to content

List all refresh tokens for a client

Request

CORS
OAuth 2.0 scope:
  • okta.users.read

Lists all refresh tokens issued for the specified user and client

Path
userIdstringrequired

ID of an existing Okta user

Example:00ub0oNGTSWTBKOLGLNR
clientIdstringrequired

client_id of the app

Example:52Uy4BUWVBOjFItcg2jWsmnd83Ad8dD
Query
expandstring

Valid value: scope. If specified, scope details are included in the _embedded attribute.

Example:expand=scope
afterstring

The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination.

limitinteger, (int32), [ 1 .. 200 ]

Specifies the number of tokens to return

Default:20
curl -i -X GET \
  'https://subdomain.okta.com/api/v1/users/00ub0oNGTSWTBKOLGLNR/clients/52Uy4BUWVBOjFItcg2jWsmnd83Ad8dD/tokens?expand=scope&after=string&limit=20'

Responses

Success

Bodyapplication/json
Array [
clientIdstring

Client ID

createdstring, (date-time)(createdProperty)read-only

Timestamp when the object was created

Example:"2017-03-28T01:11:10.000Z"
expiresAtstring, (date-time)read-only

Expiration time of the OAuth 2.0 Token

idstringread-only

ID of the Token object

Example:"oar579Mcp7OUsNTlo0g3"
issuerstring

The complete URL of the authorization server that issued the Token

Example:"https://{yourOktaDomain}/oauth2/ausain6z9zIedDCxB0h7"
lastUpdatedstring, (date-time)(lastUpdatedProperty)read-only

Timestamp when the object was last updated

scopesArray of strings

The scope names attached to the Token

Example:
[ "offline_access" ]
statusstring(GrantOrTokenStatus)read-only

Status

Enum:"ACTIVE""REVOKED"
Example:"ACTIVE"
userIdstring

The ID of the user associated with the Token

Example:"00u5t60iloOHN9pBi0h7"
_embeddedobjectread-only

The embedded resources related to the object if the expand query parameter is specified

]
Response
[ { "clientId": "string", "created": "2017-03-28T01:11:10.000Z", "expiresAt": "2019-08-24T14:15:22Z", "id": "oar579Mcp7OUsNTlo0g3", "issuer": "https://{yourOktaDomain}/oauth2/ausain6z9zIedDCxB0h7", "lastUpdated": "2019-08-24T14:15:22Z", "scopes": [ … ], "status": "ACTIVE", "userId": "00u5t60iloOHN9pBi0h7", "_embedded": { … }, "_links": { … } } ]